org.apache.solr.client.solrj.cloud.autoscaling

## Class Suggester.SuggestionInfo

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Suggester.SuggestionInfo

All Implemented Interfaces:
  MapSerializable, MapWriter

Enclosing class:
  Suggester

    public static class Suggester.SuggestionInfo
    extends Object
    implements MapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Constructor Summary

Constructors
Constructor and Description
`SuggestionInfo(Violation violation, SolrRequest op)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SolrRequest` `getOperation()`
`Violation` `getViolation()`
`String` `toString()`
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`toMap`

### Constructor Detail

#### SuggestionInfo

    public SuggestionInfo(Violation violation,
                          SolrRequest op)

### Method Detail

#### getOperation

    public SolrRequest getOperation()

#### getViolation

    public Violation getViolation()

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`